Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# LinearControlForce Class Reference

Simple directed vector force. More...

Inheritance diagram for LinearControlForce:

List of all members.

## Public Member Functions
| LinearControlForce (LinearControlForce const copy)
| Copy Constructor.
| LinearControlForce (PhysicsObject const po, float a, bool mass)
| Vector Constructor.
| LinearControlForce (PhysicsObject const po)
| Vector Constructor.
| LinearControlForce ()
| Vector Constructor.
| LinearControlForce (PhysicsObject const po, float a)
| Vector Constructor.
| clearPhysicsObject ()
| encapsulating wrapper
Vec3 | getLocalVector ()
PhysicsObject const | getPhysicsObject ()
| piecewise encapsulating wrapper
| setPhysicsObject (PhysicsObject const po)
| encapsulating wrapper
| setVector (Vec3 const v)
| encapsulating wrapper
| setVector (float x, float y, float z)
| piecewise encapsulating wrapper
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Simple directed vector force.

This force is different from the others in that it can be global and still only affect a single object. That might not make sense for a physics simulation, but it's very handy for a game. I.e. this is the force applied by user on the selected object.

## Constructor & Destructor Documentation

LinearControlForce | ( | LinearControlForce const | copy | ) |

Copy Constructor.

LinearControlForce | ( | PhysicsObject const | po,
|  | float | a,
|  | bool | mass
| ) |  |

Vector Constructor.

LinearControlForce | ( | PhysicsObject const | po,
|  | float | a
| ) |  |

Vector Constructor.

LinearControlForce | ( | PhysicsObject const | po | ) |

Vector Constructor.

LinearControlForce | ( |  | ) |

Vector Constructor.

## Member Function Documentation

clearPhysicsObject | ( |  | ) |

encapsulating wrapper

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from LinearForce.

Vec3 getLocalVector | ( |  | ) |

PhysicsObject const getPhysicsObject | ( |  | ) |

piecewise encapsulating wrapper

setPhysicsObject | ( | PhysicsObject const | po | ) |

encapsulating wrapper

setVector | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

piecewise encapsulating wrapper

setVector | ( | Vec3 const | v | ) |

encapsulating wrapper

All Classes Namespaces Functions Variables Enumerations Enumerator Properties